Get GPS data for all the devices the calling user can access among a list (if provided) or from all the devices in the account (if the list is not provided).

Provides GPS data that were previously stored in the database for all the devices to which the calling user has access among the deviceIds list (if provided) or from all the devices in the account (if the list is not provided).
The results can be filtered by:

  • The time interval [minTimestamp, maxTimestamp] (if given).
  • and/or defining a circular area that must contain the geolocation (if latitude, longitude and radius are defined). This filter makes more sense when requesting data for a set of devices than for a single device for a user case like "get the devices close to a point given by longitude and latitude at a moment in time".

The server will provide up to the default number of items specified in 'limit' if 'limit' is not provided. If there are more GPS data items than the 'limit', then the results are provided with pagination. Using the 'sortBy' parameter, the caller can choose to sort the results in ascending or descending order by timestamp.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
date-time

Defines the start time of the time interval that must contain the requested GPS data.
When the minTimestamp is not explicitly provided, the interval is open-ended, so it goes as far
back as possible (unless stated otherwise in the description of the endpoint).

date-time

Defines the end time of the time interval that must contain the requested GPS data. When the maxTimestamp is not explicitly provided, the maxTimestamp will be now.

double
-90 to 90

Latitude of the center point of the circular area that must contain the GPS data in a search query. When provided, it must be provided together with the longitude and the radius parameters.

double
-180 to 180

Longitude of the center point of the circular area that must contain the GPS data in a search query. When provided, it must be provided together with the latitude and the radius parameters.

integer
≥ 1

Radius (measured in meters from the point provided by the latitude and longitude) of the circular area that must contain the GPS data in a search query. When provided, it must be provided together with the latitude and the longitude parameters.

sortBy
array of strings

The sortBy field defines how to sort the results. Not all fields can be sorted, the ones that can must be mentioned on the endpoint description. To provide how to sort per field, the 'desc' or 'asc' suffixes are appended to the field that you want to sort.
For example, say a resource has the timestamp field and it implements the Sorting Order functionality. To return resources in timestamp descending order, provide sortBy=timestamp.desc.

sortBy
Allowed:
int32
10 to 500
Defaults to 100

Gives the maximum number of entries that will be returned in a single request. A default and maximum value are set to keep returned counts reasonable.

Body Params

If this field is present, only GPS data linked to the given deviceIds are returned.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json